Skip site navigation (1) Skip section navigation (2)

Re: [INTERFACES] Next release is 7.0(?)

From: "Sergio A(dot) Kessler" <ser(at)perio(dot)unlp(dot)edu(dot)ar>
To: PostgreSQL-development <pgsql-hackers(at)postgreSQL(dot)org>
Cc: PostgreSQL-interfaces <pgsql-interfaces(at)postgreSQL(dot)org>
Subject: Re: [INTERFACES] Next release is 7.0(?)
Date: 1999-10-10 18:01:03
Message-ID: 3800D45F.B8C280F2@perio.unlp.edu.ar (view raw or flat)
Thread:
Lists: pgsql-hackerspgsql-interfaces
Bruce Momjian wrote:
> 
> Because the next release is going to probably be 7.0, if people have
> backward compatability library code that they have been dying to remove,
> this is the time for it.
> 
> I don't recommend removing backward compatability with 6.4 or 6.5
> releases, but if you have some code that is hanging around just to be
> compatible with 6.1 or earlier, I think it can be removed now.

can the commands createuser and destroyuser be renamed to
pg_createuser and pg_destroyuser (as pg_dump) adding soft links to 
preserve backwards compatibility (declaring previous commands 
deprecated) ?

the same can be done for createdb and destroydb ...

I think is a much more nice namespace for Postgres wich is 
important when you have thousands of commands in this times.

-- 
  |    Sergio A. Kessler  http://sak.org.ar
-O_O-  You can have it Soon, Cheap, and Working; choose *two*.

In response to

Responses

pgsql-hackers by date

Next:From: Bruce MomjianDate: 1999-10-10 20:39:55
Subject: Re: [HACKERS] Re: [INTERFACES] Next release is 7.0(?)
Previous:From: Bruce MomjianDate: 1999-10-10 16:55:11
Subject: Mention of FAQ in shared memory/ipc errors

pgsql-interfaces by date

Next:From: Bruce MomjianDate: 1999-10-10 20:39:55
Subject: Re: [HACKERS] Re: [INTERFACES] Next release is 7.0(?)
Previous:From: Bruce MomjianDate: 1999-10-09 20:21:56
Subject: Re: [HACKERS] Next release is 7.0(?)

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group